<div class="case-assignment">
  <app-content-banner [isDashboard]="false" pageName="Case Assignment List"></app-content-banner>
  <mat-card class="case-assignment-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <mat-card class="mat-elevation-z0">
        <div class="assignment-history-small-box mat-elevation-z4" fxLayout="column" class="case-assignment-banner">
          <div class="assignment-history-container mat-elevation-z4">
            <form class="section" style="padding: 15px">
              <span fxLayout="row" fxLayoutGap="50px">
                <span>
                  <b>
                    Grand Total ({{ grandTotal }})&nbsp;
                  </b>
                  <span></span>
                </span>
                <span>
                  <b>
                    Total Assigned ({{ totalAssigned }}) &nbsp; - &nbsp; Ind ({{ individualAssigned }}) &nbsp; &nbsp;
                    Fam ({{ familyAssigned }})
                  </b>
                  <span>
                  </span></span>
                <span>
                  <b>
                    Total Un-Assigned ({{ totalUnAssigned }}) &nbsp; - &nbsp; Ind ({{ individualUnAssigned }}) &nbsp;
                    &nbsp; Fam ({{ familyUnAssigned }})
                  </b>
                  <span>
                  </span></span>
              </span>
              <!-- <br>
              <span fxLayout="row" fxLayoutGap="50px">
                <span style="margin-right: 30px !important"><b>Un-Assigned by Type&nbsp; </b> <span>
              </span></span>
                <span (click)="tst()" style="margin-right: 40px !important"><b>Individual ({{ individualUnAssigned }}) : &nbsp;
                  </b><span></span></span>
                <span><b>Family ({{ familyUnAssigned }}) : &nbsp; </b><span>
                  </span></span>
              </span> -->
            </form>
          </div>
        </div>
      </mat-card>
    </mat-card-header>
    <mat-card-content>
      <mat-card class="mat-elevation-z0">
        <div class="assignment-history-small-box mat-elevation-z4" fxLayout="column">
          <div class="assignment-history-container mat-elevation-z4">
            <form class="section" style="padding: 10px">
              <ag-grid-angular style="width: 100%" class="ag-theme-balham prior-Referrals-Grid"
                [columnDefs]="columnDefs" [defaultColDef]="defaultColDef" [rowData]="rowData" [floatingFilter]="true"
                [overlayNoRowsTemplate]="overlayNoRowsTemplate" [animateRows]="false" [gridOptions]="gridOptions"
                [frameworkComponents]="frameworkComponents" [pagination]="true" [suppressRowClickSelection]="true"
                [rowSelection]="rowSelection" (rowSelected)="onRowSelected($event)" [getRowHeight]="getRowHeight"
                [context]="context" (gridReady)="onGridReady($event)" [paginationPageSize]="25"
                [enableBrowserTooltips]="true">
              </ag-grid-angular>
              <br>
              <div class="table-filters-header" fxLayout="column">
                <div fxLayout="row" fxLayoutAlign="start">
                  <div class="paging-size-header">
                    Show
                    <select (change)="onPageSizeChanged($event.target.value)">
                      <option value="10">10</option>
                      <option value="25" selected>25</option>
                      <option value="50">50</option>
                      <option value="5000">All</option>
                    </select>
                    <span>&nbsp;Entries</span>
                  </div>
                </div>
              </div>
              <div fxLayout="column" fxLayoutGap="0px" class="div-border">
                <div>
                  <div fxFlex>
                    <h3>Assignment Tally</h3>
                  </div>
                </div>
                <div style="padding-left: 170px;" class="content-sub">
                  <span style="margin-top : 20px;" *ngFor="let rev of getAssignment();let i = index">
                    <div style="width:20%; float: left;">
                      <mat-lable>{{rev.name }}</mat-lable>
                    </div>
                    <div style="width:5%; float: left;">
                      <mat-lable>({{rev.count}})</mat-lable>
                    </div>
                    <div *ngIf="(i+1) % 3 == 0">
                      <br>
                      <br>
                    </div>
                    <span></span>
                  </span>
                  <br>
                  <br>
                </div>
              </div>
            </form>
          </div>
        </div>
      </mat-card>
    </mat-card-content>
  </mat-card>
  <br>
  <div class="align-center">
    <button type="button" id="btnAssign" mat-raised-button color="primary" (click)="assignCases()" matTooltip="Assign"
      matTooltipClass="pact-tooltip">Assign</button>
    &nbsp;&nbsp;
    <button type="button" mat-raised-button color="primary" (click)="clear()" matTooltip="Clear"
      matTooltipClass="pact-tooltip">Clear</button>
  </div>
</div>